> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scanoss.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for components



## OpenAPI

````yaml /api-reference/components-openapi.json get /v2/components/search
openapi: 3.0.0
info:
  title: SCANOSS Components Service
  description: Provides component intelligence services
  version: '2.0'
  contact:
    name: scanoss-components
    url: https://github.com/scanoss/components
    email: support@scanoss.com
servers:
  - url: https://api.scanoss.com
  - url: http://api.scanoss.com
security: []
tags:
  - name: Components
paths:
  /v2/components/search:
    get:
      tags:
        - Components
      summary: Search for components
      operationId: Components_SearchComponents
      parameters:
        - name: search
          description: >-
            Component to search for (vendor/component/purl). Search is exclusive
            (will override vendor/component)
          in: query
          required: false
          schema:
            type: string
        - name: vendor
          description: Vendor to search for. Vendor can be combined with Component
          in: query
          required: false
          schema:
            type: string
        - name: component
          description: Component to search for. Component can be combined with Vendor
          in: query
          required: false
          schema:
            type: string
        - name: package
          description: >-
            Type of package (purl type) to search for. i.e. github, maven,
            golang, npm, all - default github
          in: query
          required: false
          schema:
            type: string
        - name: limit
          description: Number of matches to return - default 50
          in: query
          required: false
          schema:
            type: integer
            format: int32
        - name: offset
          description: Offset to submit to return the next (limit) of component matches
          in: query
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v2CompSearchResponse'
        '404':
          description: Returned when the resource does not exist.
          content:
            application/json:
              schema:
                type: string
                format: string
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v2CompSearchResponse:
      type: object
      example:
        components:
          - name: scanoss-py
            purl: pkg:github/scanoss/scanoss.py
            url: https://github.com/scanoss/scanoss.py
            component: scanoss-py
          - name: engine
            purl: pkg:github/scanoss/engine
            url: https://github.com/scanoss/engine
            component: engine
        status:
          status: SUCCESS
          message: Components successfully retrieved
      properties:
        components:
          type: array
          items:
            $ref: '#/components/schemas/v2CompSearchResponseComponent'
          title: Component response details
        status:
          $ref: '#/components/schemas/v2StatusResponse'
      title: Component Search response data (JSON payload)
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v2CompSearchResponseComponent:
      type: object
      properties:
        component:
          type: string
          title: 'TODO: Remove this message field. Replaced by name in future versions'
        purl:
          type: string
        url:
          type: string
        name:
          type: string
      title: Component details
    v2StatusResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/v2StatusCode'
        message:
          type: string
          title: Status message
        db:
          $ref: '#/components/schemas/StatusResponseDB'
        server:
          $ref: '#/components/schemas/StatusResponseServer'
      description: Detailed response details.
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
    v2StatusCode:
      type: string
      enum:
        - UNSPECIFIED
        - SUCCESS
        - SUCCEEDED_WITH_WARNINGS
        - WARNING
        - FAILED
      default: UNSPECIFIED
      description: Status code Enum.
    StatusResponseDB:
      type: object
      properties:
        schema_version:
          type: string
          title: Semantic schema version (e.g., 'v1.0.0')
        created_at:
          type: string
          title: When this DB was built (ISO 8601 format)
      description: Database version information.
    StatusResponseServer:
      type: object
      properties:
        version:
          type: string
          title: Semantic version (e.g., 'v1.0.0')
      description: Server information.

````